Loading...
Searching...
No Matches
translate_join.hpp File Reference

Provides seqan3::views::translate_join. More...

`#include <concepts>`
`#include <ranges>`
`#include <stdexcept>`
`#include <vector>`
`#include <seqan3/alphabet/views/translate.hpp>`
`#include <seqan3/core/range/type_traits.hpp>`
`#include <seqan3/utility/container/small_string.hpp>`
Include dependency graph for translate_join.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Variables

constexpr auto | seqan3::views::translate_join
| A view that translates nucleotide into aminoacid alphabet with 1, 2, 3 or 6 frames. Input and output range are always two-dimensional.

## Detailed Description

Provides seqan3::views::translate_join.

Author
  Sara Hetzel <sara.hetzel AT fu-berlin.de>

Hide me